tigase.jaxmpp.j2se.connectors.bosh

## Class BoshConnector

- java.lang.Object
- - tigase.jaxmpp.core.client.connector.AbstractBoshConnector
  - - tigase.jaxmpp.j2se.connectors.bosh.BoshConnector

- All Implemented Interfaces:
    Connector

      public class BoshConnector
      extends AbstractBoshConnector

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class tigase.jaxmpp.core.client.connector.AbstractBoshConnector

      `AbstractBoshConnector.BoshPacketReceivedHandler, AbstractBoshConnector.BoshPacketSendingHandler`

    - ### Nested classes/interfaces inherited from interface tigase.jaxmpp.core.client.Connector

      `Connector.ConnectedHandler, Connector.DisconnectedHandler, Connector.EncryptionEstablishedHandler, Connector.ErrorHandler, Connector.StanzaReceivedHandler, Connector.StanzaSendingHandler, Connector.State, Connector.StateChangedHandler, Connector.StreamTerminatedHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `URL_KEY`

    - ### Fields inherited from class tigase.jaxmpp.core.client.connector.AbstractBoshConnector

      `BOSH_SERVICE_URL_KEY, context, log, requests, RID_KEY, SID_KEY`

    - ### Fields inherited from interface tigase.jaxmpp.core.client.Connector

      `COMPRESSED_KEY, CONNECTOR_STAGE_KEY, CONNECTOR_STAGE_TIMESTAMP_KEY, DISABLE_KEEPALIVE_KEY, ENCRYPTED_KEY, EXTERNAL_KEEPALIVE_KEY, PROXY_HOST, PROXY_PORT, PROXY_TYPE, RECONNECTING_KEY, SEE_OTHER_HOST_KEY, TRUST_MANAGERS_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoshConnector(Context context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `processSendData(Element element)`
    `void` | `start()` Starts connector.

    - ### Methods inherited from class tigase.jaxmpp.core.client.connector.AbstractBoshConnector

      `addToRequests, countActiveRequests, createSessionLogic, fireOnConnected, fireOnError, fireOnStanzaReceived, fireOnTerminate, getSid, getState, isCompressed, isSecure, keepalive, nextRid, onError, onResponse, onTerminate, prepareBody, prepareBody, prepareRetartBody, prepareStartBody, prepareTerminateBody, removeFromRequests, restartStream, send, send, setSid, setStage, stop, stop, terminateAllWorkers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### URL_KEY

          public static final String URL_KEY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BoshConnector

          public BoshConnector(Context context)

  - ### Method Detail

    - #### processSendData

          protected void processSendData(Element element)
                                  throws XMLException,
                                         JaxmppException

      Specified by:
        `processSendData` in class `AbstractBoshConnector`
      Throws:
        `XMLException`
        `JaxmppException`

    - #### start

          public void start()
                     throws XMLException,
                            JaxmppException

      Description copied from interface: `Connector`
      Starts connector. If connector is properly configured it will tries to establsh connection with server.
      Specified by:
        `start` in interface `Connector`
      Overrides:
        `start` in class `AbstractBoshConnector`
      Throws:
        `XMLException`
        `JaxmppException`

Copyright © 2006–2016 Tigase. All rights reserved.